org.kie.api.runtime.conf

## Class BeliefSystemTypeOption

- java.lang.Object
- - org.kie.api.runtime.conf.BeliefSystemTypeOption

- All Implemented Interfaces:
    Serializable, Option, KieSessionOption, SingleValueKieSessionOption

      public class BeliefSystemTypeOption
      extends Object
      implements SingleValueKieSessionOption

  A class for the belief system configuration.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the belief system configuration

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static BeliefSystemTypeOption` | `get(String beliefSystemType)` This is a factory method for this belief system configuration.
    `String` | `getBeliefSystemType()`
    `String` | `getPropertyName()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the belief system configuration
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### get

          public static BeliefSystemTypeOption get(String beliefSystemType)

      This is a factory method for this belief system configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
      Parameters:
        `beliefSystemType` - the identifier for the belie system
      Returns:
        the actual type safe default clock type configuration.

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Option`
      Returns:
        the property name for this option

    - #### getBeliefSystemType

          public String getBeliefSystemType()

      Returns:
        the configured belief system type

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.